delete from report_sql where computer={?Computer};

--INSERT INTO REPORT_SQL ( COMPUTER, DATE3,   NUM3,      NUM20, STR11) 
--select {?Computer},                DOG.DAN, DOG.IDDOG, DOG.IDPOG, VPL.ST FROM DOG, VPL WHERE 
--?DOG.IDVPL={?IDVPL} AND 
--?DOG.DAN={?Datum} AND 
--DOG.SFPDG='S' AND 
--DOG.IDVPL=VPL.IDVPL AND 
--VPL.SFVPL='F';


INSERT INTO REPORT_SQL 
( COMPUTER , DATE3   , NUM3,  NUM30    , str30 , STR31     , num28    , num27    , num21    , str19    , num20    , str11) select                
{?Computer}, {?Datum}, IDDOG, POG.SFOSB, OSb.Dz, POG.KRTBIS, DOG.IdVpl, DOG.IdPog, DOG.SfDog, dog.sfpdg, pog.idpog, vpl.st
from DOG JOIN VPL ON VPL.IdVpl = DOG.IdVpl
         JOIN POG ON dog.idpog = pog.idpog
         JOIN OSB ON pog.sfosb = osb.sfosb
WHERE ( DOG.SfPdg IS NULL OR DOG.SfPdg <> 'S' OR VPL.SfVpl = 'F')
and dog.DAN = {?Datum}
? and pog.sfdjv={?Sfdjv}
? and pog.idpog={?Idpog}
;

--update report_sql set num30 = (SELECT SFOSB FROM POG WHERE pog.idpog=num20);

UPDATE REPORT_SQL 
SET
STR1=(SELECT OZNAKA FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=REPORT_SQL.DATE3),
STR2=(SELECT SFVLTTO FROM EUROOBD D WHERE DANOD<=REPORT_SQL.DATE3 AND DANDO>=REPORT_SQL.DATE3),
STR3=(SELECT K1 FROM EUROOBD D WHERE DANOD<=REPORT_SQL.DATE3 AND DANDO>=REPORT_SQL.DATE3),
STR7=(SELECT SFVLTFROM FROM EUROOBD D WHERE DANOD<=REPORT_SQL.DATE3 AND DANDO>=REPORT_SQL.DATE3),
STR10='TECAJ',
NUM1=(SELECT TCJVLT FROM EUROOBD D WHERE DANOD<=REPORT_SQL.DATE3 AND DANDO>=REPORT_SQL.DATE3),
NUM2=(SELECT SFVPFROM FROM EUROOBD D WHERE DANOD<=REPORT_SQL.DATE3 AND DANDO>=REPORT_SQL.DATE3),
DATE1=(SELECT D.DANOD FROM EUROOBD D WHERE DANOD<=REPORT_SQL.DATE3 AND DANDO>=REPORT_SQL.DATE3),
DATE2=(SELECT D.DANDO FROM EUROOBD D WHERE DANOD<=REPORT_SQL.DATE3 AND DANDO>=REPORT_SQL.DATE3)
WHERE str19='F'
and computer={?Computer};

UPDATE REPORT_SQL 
SET
STR15=(SELECT KRT FROM VLT WHERE SFVLT=REPORT_SQL.STR2)
WHERE computer={?Computer};


-- Status osebe, drava, davni zavezanec
update REPORT_SQL
SET STR34=(SELECT EC from DRZ WHERE sfdrz IN (SELECT sfdrz FROM OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30)),
    STR32=(SELECT sfdrz from OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30),
    STR33=(SELECT
                  CASE
                      WHEN sfsos = 'F' then 'F'
                      ELSE 'P'
                  END
                  FROM OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30),
    STR30=(SELECT DZ from OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30)
WHERE str19='F'
and computer={?Computer};

-- Oznaka_drave
update REPORT_SQL
SET STR35=(SELECT
                CASE
                    WHEN R.STR32 = 'S' then 'D'
                    WHEN R.STR32 <> 'S' and R.STR34 ='D' then 'E'
                   ELSE 'T'
                END
           FROM REPORT_SQL R WHERE R.num3 = report_sql.num3 and  r.str19='F' and r.computer={?Computer})
WHERE str19='F'
and computer={?Computer};

-- Klavzula
INSERT INTO REPORT_SQL ( COMPUTER, num29, num30, num1, date1 )
select DISTINCT {?Computer}, 1, R.num30, S.idkla, S.dan
FROM report_sql R, sif_klavzule S
     WHERE R.STR35 = S.oznaka_drzava
       AND R.STR33 = S.pravni_status
       AND R.STR30 = S.je_zavezanec
       AND S.vrsta_izp = 'F'
       AND S.dan   = (select MAX(S.dan) 
                      from   sif_klavzule S 
                      where  S.dan <= R.date3 
			and(s.dando is null or  s.dando>=R.date3)
                      AND    S.oznaka_drzava = R.STR35 
                      AND    S.pravni_status = R.STR33
                      AND    S.je_zavezanec = R.STR30
                      AND    S.vrsta_izp = 'F' and R.computer={?Computer})
       AND R.computer={?Computer}
       AND R.STR19='F';